---
updatedAt: 2025-10-09T17:22:35.000Z
agentTools:
  projectIndex: https://docs.uplynk.com/llms.txt
---

# Get Multiple Cloud Slicer Jobs

v2

Retrieves a list of current and recent Cloud Slicer jobs.

### Request

Request syntax:

/jobs/list

Request parameters:

Pass the following parameters through the msg parameter:

| Name  | Data Type | Description                                                                                            |
| ----- | --------- | ------------------------------------------------------------------------------------------------------ |
| limit | Integer   | Determines the maximum number of jobs that will be returned.  Maximum value: 50                        |
| skip  | Integer   | Determines the number of jobs that will be skipped.  Use both skip and limit to paginate your results. |

#### Authentication

Pass a digital signature based off of msg.

### Response

The response for a successful request contains the following parameter.

| Name | Data Type            | Description                                |
| ---- | -------------------- | ------------------------------------------ |
| jobs | List of Dictionaries | Contains a list of [jobs](#jobDictionary). |

### Sample Request/Response

A sample request/response is provided below.

The `Call` function, which is imported from `API Auth` for V2 APIs (see below), prepares the message body and digital signature.

<TutorialTile
  backgroundColor="#055b96"
  emoji="🔓"
  id="67e1aab8839d83004dcf9173"
  link="https://docs.uplynk.com/v2.0/recipes/api-auth-for-classic-authentication-v2-apis"
  slug="api-auth-for-classic-authentication-v2-apis"
  title="API Auth for Classic Authentication (V2 APIs)"
/> 

```python
from uplynk_api2_auth import Call

print(Call('/api2/cloudslicer/jobs/list', limit=3))

{
    "jobs": [
        {
            "id": "d3345dbe5e064d09a20b762f7618839e",
            "attempts": 1,
            ...
        },
        {
            "id": "aa85e5d009ae459d98b24a540ef5a0c7",
            "attempts": 3,
            ...
        },
        {
            "id": "361f8426d36a4ac3af3348113489c83a",
            "attempts": 1,
            ...
        }
    ],
    "error": 0
}
```